Create Location Group
curl --request POST \
--url https://api.xenia.team/api/v1/mgt/workspaces/{workspaceId}/location-groups \
--header 'Content-Type: application/json' \
--header 'x-client-key: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"name": "location test group",
"description": "location test group name",
"Locations": [
"a13ddb59-3e5c-4bdd-8673-fc913b93b9db",
"1d5ceb29-ab86-4138-ad7f-b8290b1771f5",
"32e77f06-6cb1-4657-9310-1f4dcd902850"
]
}
'import requests
url = "https://api.xenia.team/api/v1/mgt/workspaces/{workspaceId}/location-groups"
payload = {
"name": "location test group",
"description": "location test group name",
"Locations": ["a13ddb59-3e5c-4bdd-8673-fc913b93b9db", "1d5ceb29-ab86-4138-ad7f-b8290b1771f5", "32e77f06-6cb1-4657-9310-1f4dcd902850"]
}
headers = {
"x-client-key": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-key': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'location test group',
description: 'location test group name',
Locations: [
'a13ddb59-3e5c-4bdd-8673-fc913b93b9db',
'1d5ceb29-ab86-4138-ad7f-b8290b1771f5',
'32e77f06-6cb1-4657-9310-1f4dcd902850'
]
})
};
fetch('https://api.xenia.team/api/v1/mgt/workspaces/{workspaceId}/location-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {},
"meta": {}
}Locations
Create Location Group
POST
/
api
/
v1
/
mgt
/
workspaces
/
{workspaceId}
/
location-groups
Create Location Group
Path Parameters
UUID of the workspace.
Body
application/json
⌘I